petsc-3.7.1 2016-05-15
Report Typos and Errors

# DMPlexGetTreeChildren

get the children of a point in the tree describing the point hierarchy (not the Sieve DAG)

### Synopsis

    #include "petscdmplex.h"
    PetscErrorCode DMPlexGetTreeChildren(DM dm, PetscInt point, PetscInt *numChildren, const PetscInt *children[])

### Input Parameters

| dm | - the DMPlex object Many br
| point | - the query point Many br

### Output Parameters

| numChildren | - if not NULL, set to the number of children Many br
| children | - if not NULL, set to a list children, or set to NULL if the point has no children Many br

Many br

### Fortran Notes

Since it returns an array, this routine is only available in Fortran 90, and you must Many brinclude petsc.h90 in your code. Many br

### See Also

DMPlexSetTree(), DMPlexGetTree(), DMPlexGetTreeParent()

Level:intermediate
Location:src/dm/impls/plex/plextree.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages